org.apache.lucene.analysis.miscellaneous

## Class CodepointCountFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.FilteringTokenFilter
        - - org.apache.lucene.analysis.miscellaneous.CodepointCountFilter

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class CodepointCountFilter
      extends FilteringTokenFilter

  Removes words that are too long or too short from the stream.

  Note: Length is calculated as the number of Unicode codepoints.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodepointCountFilter(TokenStream in, int min, int max)` Create a new `CodepointCountFilter`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept()`

    - ### Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter

      `end, incrementToken, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CodepointCountFilter

          public CodepointCountFilter(TokenStream in,
                                      int min,
                                      int max)

      Create a new `CodepointCountFilter`. This will filter out tokens whose `CharTermAttribute` is either too short (`Character.codePointCount(char[], int, int)` < min) or too long (`Character.codePointCount(char[], int, int)` > max).
      Parameters:
        `in` - the `TokenStream` to consume
        `min` - the minimum length
        `max` - the maximum length

  - ### Method Detail

    - #### accept

          public boolean accept()

      Specified by:
        `accept` in class `FilteringTokenFilter`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.